Reactivate a suspended card
Understand how to reactivate a card that has been temporarily suspended. This guide covers the process of lifting a temporary hold to restore the card to an active, usable state.
The user in this document pertains to both the individual and business user types.
Use Cases
- You want to reactivate or unsuspend an already suspended card.
- You want to set the card status from the
lockedto anactivestate. - You want to add a feature to your application that allows users to self-unsuspend their cards.
Prerequisites
- The user profile risk assessment status must not be
risk_flagged. - The user profile must be in an
activestatus. - The user must have an
approvedKYC or KYB status. - The user account or wallet must be in an
activestatus. - The user card must be in an
lockedor suspended status.
API Workflow
1
[v1] Reactivate a locked or suspended card
Call the Reactivate Card POST /users/wallets/cards/{{card_id}} by specifying id parameter and setting it to the card_id of the suspended card.
Reactivate Card request
curl --location --request POST 'https://{{cards_base_url}}/{{program_code}}/v1/users/wallets/cards/180ac588b91dc6bff6a5d42a671d1d6a' \
--header 'X-Auth-User-Id: {{user_id}}' \
--header 'Authorization: ••••••' \
--header 'Content-Type: application/x-www-form-urlencoded'\ --data-urlencode 'id=180ac588b91dc6bff6a5d42a671d1d6a'Reactivate Card response
{
"id": "180ac588b91dc6bff6a5d42a671d1d6a",
"number": "5545XXXXXXXX0000",
"status": "active"
}When a card is reactivated, all the blocked features, such as card transactions and access to sensitive card details, will be re-enabled.
2
[v2] Reactivate a locked or suspended card
The V2 Card Status API is currently only restricted to JIT-configured programs.
Call the Card Status (Unlock) (PUT /users/wallets/cards/{{card_id}}/status) to unlock or reactivate a locked card by passing the action, origin , and reason.
Card Status (Unlock) API request parameters:
origin | action | reason | Description |
|
| blank or empty (not required) | The User wants to unlock or reactive a locked card |
|
| blank or empty (not required) | The Partner wants to unlock or reactive a locked card |
Card Status (Unlock) request
curl --location --request PUT 'https://{{cards_base_url}}/{{program_code}}/v2/users/wallets/cards/{{card_id}}/statuses' \
--header 'X-Auth-User-ID: {{user_id}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: ••••••' \
--data '{
"action": "UNLOCK",
"origin": "USER",
"reason": ""
}
'Card Status (Unlock) response
{
"id": "{{card_id}}",
"status": "ACTIVE",
"origin": "USER",
"updated_at": "2026-03-17 02:10:02.261653592 +0000 UTC"
}Related Links
On this page
- Reactivate a suspended card